#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.2.2
visibility:           public
id:                   tree-diff-0.2.2-DfvDJuJZZQyBHO8w1cWZDy
key:                  tree-diff-0.2.2-DfvDJuJZZQyBHO8w1cWZDy
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  85d0a6ac49be8e0aee8fb80f919f47d4
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-9.0.2/site-local/tree-diff-0.2.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tree-diff-0.2.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tree-diff
hs-libraries:         HStree-diff-0.2.2-DfvDJuJZZQyBHO8w1cWZDy
depends:
    QuickCheck-2.14.2-3MSD6r8JrhxF0fuzPWUbkj
    aeson-2.1.1.0-4M4Q1RS88i145fLgkhDJeF
    ansi-terminal-0.11.3-A93qFpedrz0AGtHwoKTnQp
    ansi-wl-pprint-0.6.9-PtaPFt8bzc6OH2lawAlUC base-4.15.1.0
    base-compat-0.12.2-l1EqrM7Qwu6Pq9d4drKFu bytestring-0.10.12.1
    containers-0.6.4.1 deepseq-1.4.5.0
    hashable-1.4.1.0-DXpj0ho9mwSB6ue30MIccy parsec-3.1.14.0
    parsers-0.12.11-CLwveJVla3DJWbm4ce4Pjp pretty-1.1.3.6
    primitive-0.7.4.0-9TVgKpsxQ9UKsTlz0zg7yv
    scientific-0.3.7.0-994Cd8S1bkZ9FDNHRggxUL
    semialign-1.2.0.1-IzW9HYoIMsvDzl6WnCrbSy
    strict-0.4.0.1-C4h3HJxoeBusfC0y6w7RW
    tagged-0.8.6.1-79gYUUazit6EfoPS33FHdR text-1.2.5.0
    these-1.1.1.1-GmGIUF0xncrDK1bsIJLP8v time-1.9.3
    unordered-containers-0.2.19.1-1oz2vTo8QZe9pPW8EMafVJ
    uuid-types-1.0.5-AW5B13WUh0OAZjXYVwuE8T
    vector-0.13.0.0-C4IY0qsV06C5Tx1gtETdzw

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

